Subject: [bug#36404] [PATCH 0/6] Add 'guix deploy'.

From: [email-masked] (Jakob L. Kreuze)
Date: Thu, 04 Jul 2019 12:48:15 -0400

Hi Ludovic + Ricardo,

Something hit me today. There aren't any tests for 'guix system
reconfigure'. There are for 'guix system init' in
'gnu/tests/install.scm', but not for 'guix system reconfigure', which
makes me think that I'm going about testing this the wrong way. I feel I
should begin by isolate the behavior that's common between 'guix system
reconfigure' and 'guix deploy' as you suggested, and then writing tests
for that common code in the system test suite. Then, as Ricardo
suggested, mocking can be used for the parts that are specific only to
'guix deploy'.

I will look into this today and report back.

Regards,
Jakob